#!/bin/bash 
# \
exec tixwish $0 $@
#############################################################################
# Visual Tcl v1.10 Project
#

#################################
# GLOBAL VARIABLES
#
global var; 
global widget; 
    set widget(Indicator) {.top29.fra31.fra32.mes34}
    set widget(Message) {.top29.fra31.fra31.mes33}
    set widget(rev,.top29.fra31.fra31.mes33) {Message}
    set widget(rev,.top29.fra31.fra32.mes34) {Indicator}
    set widget(rev,.top29.fra31.mes29) {Message}

#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {
###--init--############
# this function initializes the language
# to show for SaX
#

global var

set var(saxrc) "/var/X11R6/sax/config/saxrc"
set var(de)    "SaX Version 2.9. Bitte warten...            "
set var(en)    "SaX Version 2.9. Please wait...             "
set var(it)    "SaX versione 2.9. Aspettate prego...        "
set var(fr)    "SaX version 2.9. Attendez s'il vous plait..."
set var(es)    "SaX Versin 2.9, Espere por favor...        "
set var(pt_BR) "SaX verso 2.9, aguarde por favor...        "
set var(br)    "SaX doare 2.9. Gortozit mar plij...         "
set var(nl)    "SaX versie 2.9. Even geduld a.u.b...        "
set var(hu)    "SaX 2.9 verzi Krem vrjon...              "
set var(pl)    "SaX w wersji 2.9. Jedn chwileczk...       "
set var(pt)    "Sax Verso 2.9. Aguarde por Favor...        "
set var(sk)    "SaX verzia 2.9. akajte prosm...           "
set var(ro)    "SaX Version 2.9.  Please wait...            "
set var(el)    "Sax Version 2.9.  ...     " 
set var(id)    "SaX versi 2.9. Harap tunggu...              "
set var(ru)    "SaX  2.9 , ...     "
set var(tr)    "SaX Versiyon 2.9 Ltfen Bekleyin...         "
set var(sv)    "SaX verzia xy Eakajte prosm...             "
set var(cs)    "SaX verze 2.9. Pokejte prosm...           "
set var(ca)    "SaX Versi 2.9. Esperi si us plau...        "
set var(text)  $var(en)

#----------------#
# get the option #
#----------------#
set lang ""
if { $argc == "2" } {
 set lang [ lindex $argv 1 ]
}

#-------------#
# read saxrc  #
#-------------#
if { $lang == "" } {
 set handle [ open $var(saxrc) "r" ]
 set lang [ gets $handle ]

 set dummy ""
 set left  ""
 set right ""
 regexp -- {(.*):(.*)} $lang dummy left right 
 set lang $right
}

switch $lang {

 "de" {
  set text $var(de)
 }
 "en" {
  set text $var(en)
 }
 "fr" {
  set text $var(fr)
 }
 "it" {
  set text $var(it)
 }
 "es" {
  set text $var(es)
 }
 "pt_BR" {
  set text $var(pt_BR)
 } 
 "br" {
  set text $var(br)
 }
 "nl" {
  set text $var(nl)
 }
 "hu" {
  set text $var(hu)
 }
 "pl" {
  set text $var(pl)
 }
 "pt" {
  set text $var(pt)
 }
 "sk" {
  set text $var(sk)
 }
 "ro" {
  set text $var(ro)
 }
 "el" {
  set text $var(el)
 }
 "id" {
  set text $var(id)
 }
 "ru" {
  set text $var(ru)
 }
 "tr" {
  set text $var(tr)
 }
 "sv" {
  set text $var(sv)
 }
 "cs" {
  set text $var(cs)
 }
 "ca" {
  set text $var(ca)
 }
 default {
  set text $var(en)
 }

}

#puts $text
set var(text) $text
}

init $argc $argv


proc main {argc argv} {
#-----------#
# variables #
#-----------#
global tk_strictMotif
global widget
global var


set tk_strictMotif 1
set X 200
set Y 220

wm geometry .top29 +$X+$Y
$widget(Message) configure -text $var(text)

set bar {"|      " \
         "||     " \
         "|||    " \
         "||||   " \
         "|||||  " \
         "|||||| " \
         "|||||||" \
         "      |" \
         "     ||" \
         "    |||" \
         "   ||||" \
         "  |||||" \
         " ||||||" \
         "|||||||"}

set i 0
while { 1 } {
 foreach n { 0 1 2 3 4 5 6 } {
  $widget(Indicator) configure -text [ lindex $bar $n ]
  update
  after 50
 }
 foreach n { 13 12 11 10 9 8 } {
  $widget(Indicator) configure -text [ lindex $bar $n ]
  update
  after 50
 }
 foreach n { 9 10 11 12 13 } {
  $widget(Indicator) configure -text [ lindex $bar $n ]
  update
  after 50
 }
 foreach n { 5 4 3 2 1 0 } {
  $widget(Indicator) configure -text [ lindex $bar $n ]
  update
  after 50
 }

 incr i
 if { $i >= 20 } {
  break
 }
}

exit
}

proc Window {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1137 834
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top29 {base} {
    if {$base == ""} {
        set base .top29
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 314x38+318+231
    wm maxsize $base 1137 834
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "SaX startup..."
    frame $base.fra31 \
        -borderwidth 5 -height 75 -relief ridge -width 125 
    frame $base.fra31.fra31 \
        -height 75 -width 125 
    message $base.fra31.fra31.mes33 \
        -padx 0 -pady 100 -text {SaX Version 2.8  Bitte warten...} 
    frame $base.fra31.fra32 \
        -height 75 -width 100 -relief flat -borderwidth 0
    message $base.fra31.fra32.mes34 \
        -anchor n -padx 16 -pady 2 -text | -width 150 
    ###################
    # SETTING GEOMETRY
    ###################
    pack $base.fra31 \
        -in .top29 -anchor center -expand 1 -fill both -side top 
    pack $base.fra31.fra31 \
        -in .top29.fra31 -anchor center -expand 1 -fill both -side left 
    pack $base.fra31.fra31.mes33 \
        -in .top29.fra31.fra31 -anchor center -expand 1 -fill both -side top 
    pack $base.fra31.fra32 \
        -in .top29.fra31 -anchor center -expand 1 -fill both -side right 
    pack $base.fra31.fra32.mes34 \
        -in .top29.fra31.fra32 -anchor center -expand 0 -fill both -side left 
}

Window show .
Window show .top29

main $argc $argv
